package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liulu
 * @since 2024/10/22
 */
@Data
@TableName("sp_key_info")
public class KeyInfo {

    private Long id;
    private Long applicationId;
    private Long keyTemplateId;
    private String code;
    private String keyType;
    private String keyAlg;
    private Integer keyLength;
    private Integer keyUsage;
    private String checkAlg;
    private String checkValue;
    private String status;
    private LocalDateTime effectiveTime;
    private LocalDateTime expiredTime;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;

}
